import type { NumberArray } from 'cheminfo-types';
/**
 * Solves a system of linear equations using the Cholesky decomposition method.
 * It is a direct conversion to TS from {@link https://github.com/scijs/cholesky-solve}
 * @param nonZerosArray - The matrix in triplet form (array of arrays), where each sub-array contains three elements: row index, column index, and value.
 * @param dimension - The order of the matrix (number of rows/columns).
 * @param permutationEncoded - Optional permutation array. If provided, it will be used to permute the matrix.
 * @returns A function that takes a right-hand side vector `b` and returns the solution vector `x`, or `null` if the decomposition fails.
 */
export declare function matrixCholeskySolver(nonZerosArray: NumberArray[], dimension: number, permutationEncoded?: NumberArray): ((b: NumberArray) => NumberArray) | null;
//# sourceMappingURL=matrixCholeskySolver.d.ts.map