import type { DataXY } from 'cheminfo-types';
import type { DoubleMatrix } from '..';
export interface MatrixHistogramOptions {
    /**
     * Center the X value. We will enlarge the first and
     * @default true
     */
    centerX?: boolean;
    /**
     * histogram
     */
    histogram?: DataXY;
    /**
     * Number of slots
     * @default 256
     */
    nbSlots?: number;
    /**
     * We can first apply a log on the x-axis.
     */
    logBaseX?: number;
    /**
     * We can apply a log on the resulting histogram
     */
    logBaseY?: number;
    /**
     * Take the absolute value
     */
    absolute?: boolean;
    /**
     * Maximal value to calculate used to calculate slot size
     * @default maxValue
     */
    max?: number;
    /**
     * Minimum value to calculate used to calculate slot size
     * @default minValue
     */
    min?: number;
}
/**
 * Calculates a histogram of defined number of slots.
 * @param matrix - matrix [rows][cols].
 * @param options - options
 * @returns - Result of the histogram.
 */
export declare function matrixHistogram(matrix: DoubleMatrix, options?: MatrixHistogramOptions): DataXY;
//# sourceMappingURL=matrixHistogram.d.ts.map