import type { NumberArray } from 'cheminfo-types';
import type { NumberArrayConstructor, NumberArrayType } from '../utils';
export interface MatrixZPivotRescaleOptions<ArrayConstructorType extends NumberArrayConstructor = Float64ArrayConstructor> {
    /**
     * max
     * @default 1
     */
    max?: number;
    /**
     * Allows to specify the type of array to use
     * @default Float64Array
     */
    ArrayConstructor?: ArrayConstructorType;
}
/**
 * Rescale a matrix around 0 taking into account the absolute max value.
 * @param matrix - matrix [rows][cols].
 * @param options - Options.
 */
export declare function matrixZPivotRescale<ArrayConstructorType extends NumberArrayConstructor = Float64ArrayConstructor>(matrix: NumberArray[], options?: MatrixZPivotRescaleOptions<ArrayConstructorType>): Array<NumberArrayType<NumberArrayConstructor>>;
//# sourceMappingURL=matrixZPivotRescale.d.ts.map