import type { DoubleMatrix } from '../types';
import type { DoubleArrayConstructor, DoubleArrayType } from '../utils';
export interface MatrixZRescaleOptions<ArrayConstructorType extends DoubleArrayConstructor = Float64ArrayConstructor> {
    /**
     * min
     * @default 0
     */
    min?: number;
    /**
     * max
     * @default 1
     */
    max?: number;
    /**
     * Allows to specify the type of array to use.
     * @default Float64Array
     */
    ArrayConstructor?: ArrayConstructorType;
}
/**
 * Rescale a matrix between min and max values.
 * @param matrix - matrix [rows][cols].
 * @param options - Options.
 */
export declare function matrixZRescale<ArrayConstructorType extends DoubleArrayConstructor = Float64ArrayConstructor>(matrix: DoubleMatrix, options?: MatrixZRescaleOptions<ArrayConstructorType>): Array<DoubleArrayType<DoubleArrayConstructor>>;
//# sourceMappingURL=matrixZRescale.d.ts.map