export interface CreateFromToArrayOptions {
    /**
     * start value of range
     * @default 0
     */
    from?: number;
    /**
     * end value of range
     * @default 1
     */
    to?: number;
    /**
     * number of points in range
     * @default 1000
     */
    length?: number;
    /**
     * include from
     * @default true
     */
    includeFrom?: boolean;
    /**
     * include to
     * @default true
     */
    includeTo?: boolean;
    /**
     * distribution used
     * @default uniform
     */
    distribution?: 'uniform' | 'log';
}
/**
 * Create an array with numbers between "from" and "to" of length "length"
 * @param options - options
 * @returns - array of distributed numbers between "from" and "to"
 */
export declare function createFromToArray(options?: CreateFromToArrayOptions): Float64Array;
//# sourceMappingURL=createFromToArray.d.ts.map