import type { NumberArray } from 'cheminfo-types';
interface SimpleNormInvOptions {
    /**
     * If true the returns values will be calculated from the Rayleigh inverse cumulative distribution.
     * it returns
     * @default false
     */
    magnitudeMode?: boolean;
}
/**
 * Applies a simple normalization inverse transformation to the input data.
 * @param data - The input array of numbers to be transformed.
 * @param options - Optional parameters for the transformation.
 * @returns A new Float64Array containing the transformed data.
 */
export declare function simpleNormInv(data: NumberArray, options?: SimpleNormInvOptions): Float64Array;
/**
 * Convenience wrapper for single number processing by simpleNormInv function.
 * @param data - The number to be normalized.
 * @param options - The options for the normalization process.
 * @returns The normalized number.
 */
export declare function simpleNormInvNumber(data: number, options?: SimpleNormInvOptions): number;
export {};
//# sourceMappingURL=simpleNormInv.d.ts.map