import type { NumberArray, OneLowerCase } from 'cheminfo-types';
export interface XApplyFunctionStrOptions {
    /**
     * @default '''
     * The function to apply on the array as a string
     */
    fctString?: string;
    /**
     * The variable to use in the fctString (one lower case letter)
     * @default 'x'
     */
    variableLabel?: OneLowerCase;
}
/**
 * Will apply a function on each element of the array described as a string
 * By default we will use as variable 'x'
 * In front of sequence of lowercase we will add 'Math.'. This allows to write
 * `sin(x) + cos(x)` and it will be replace internally by (x) => (Math.sin(x) + Math.cos(x))
 * @param array
 * @param options
 * @returns
 */
export declare function xApplyFunctionStr(array: NumberArray, options?: XApplyFunctionStrOptions): Float64Array;
//# sourceMappingURL=xApplyFunctionStr.d.ts.map