import type { NumberArray } from 'cheminfo-types';
export interface XCrossCorrelationOptions {
    /**
     * sweep increment size (in number of points, min=1, max=A.length)
     * @default 1
     */
    tau?: number;
    /**
     * scalar lag parameter
     * @default A.length-1
     */
    lag?: number;
}
/**
 * Calculates the cross-correlation between 2 arrays
 * @param A - fixed array
 * @param B - sweeping array
 * @param options - Options
 */
export declare function xCrossCorrelation(A: NumberArray, B: NumberArray, options?: XCrossCorrelationOptions): Float64Array;
//# sourceMappingURL=xCrossCorrelation.d.ts.map