import type { NumberArray } from 'cheminfo-types';
export interface XGetFromToIndexOptions {
    /**
     * First point for xyIntegration
     * @default 0
     */
    fromIndex?: number;
    /**
     * Last point for xyIntegration
     * @default x.length-1
     */
    toIndex?: number;
    /**
     * First value for xyIntegration in the X scale
     */
    from?: number;
    /**
     * Last value for xyIntegration in the X scale
     */
    to?: number;
}
/**
 * Returns an object with {fromIndex, toIndex} for a specific from / to
 * @param x - array of numbers
 * @param options - Options
 */
export declare function xGetFromToIndex(x: NumberArray, options?: XGetFromToIndexOptions): {
    fromIndex: number;
    toIndex: number;
};
//# sourceMappingURL=xGetFromToIndex.d.ts.map