import type { NumberArray } from 'cheminfo-types';
interface XMassCenterVectorSimilarityOptions {
    /**
     * Function that based on the difference between the two values, return a similarity score between 0 and 1
     * @default (a, b) => (a === b ? 1 : 0)
     */
    similarityFct?: (a: number, b: number) => number;
    /**
     * Should we recenter the tree ?
     * @default: true
     */
    recenter?: boolean;
}
/**
 * Check the similarity between array created by xyMassCenterVector
 * @param array1
 * @param array2
 * @param options
 * @returns
 */
export declare function xMassCenterVectorSimilarity(array1: NumberArray, array2: NumberArray, options?: XMassCenterVectorSimilarityOptions): number;
export {};
//# sourceMappingURL=xMassCenterVectorSimilarity.d.ts.map