import type { DataXY } from 'cheminfo-types';
export interface XYPeakInfoOptions {
    targetIndex?: number;
    target?: number;
}
export interface XYPeakInfo {
    inflectionAfter: {
        x: number;
        y: number;
    };
    inflectionBefore: {
        x: number;
        y: number;
    };
    width: number;
    extrema: {
        x: number;
        y: number;
    };
    inflectionMiddle: {
        x: number;
        y: number;
    };
}
/**
 * Returns an information about a signal.
 *
 *
 * We expect ordered data and equidistant X axis
 * You can use the method helper if required:
 * ML.ArrayPoints.uniqueX
 * ML.ArrayPoints.sortX
 * ML.ArrayPoints.equallySpaced
 * @param data - Object that contains property x (an ordered increasing array) and y (an array)
 * @param options - options
 * @returns - Information about signal
 */
export declare function xyPeakInfo(data: DataXY, options?: XYPeakInfoOptions): XYPeakInfo | undefined;
//# sourceMappingURL=xyPeakInfo.d.ts.map