import type { DataXY, NumberArray } from 'cheminfo-types';
export interface XYArrayAlignOptions {
    /**
     * The range in which the two x values of the data/spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
    /**
     * If true, the y values must be present everywhere
     * @default false
     */
    requiredY?: boolean;
}
/**
 * Aligns data, can be used for spectra
 * @param data - data
 * @param options - Options
 */
export declare function xyArrayAlign(data: DataXY[], options?: XYArrayAlignOptions): {
    x: NumberArray;
    ys: NumberArray[];
};
//# sourceMappingURL=xyArrayAlign.d.ts.map