import type { DataXY } from 'cheminfo-types';
export interface XYArrayWeightedMergeOptions {
    /**
     * The range in which the two x values of the data must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
/**
 * Merge DataXY
 * We have an array of DataXY and the goal is to merge all the values for which the deltaX is small or equal to delta.
 * X values are weighted average
 * @param data - data
 * @param options - Options
 */
export declare function xyArrayWeightedMerge(data: DataXY[], options?: XYArrayWeightedMergeOptions): DataXY;
//# sourceMappingURL=xyArrayWeightedMerge.d.ts.map