import type { FromTo } from 'cheminfo-types';
export interface ZonesNormalizeOptions {
    /**
     * specify min value of zones
     * @default Number.NEGATIVE_INFINITY
     */
    from?: number;
    /**
     * specify max value of zones
     * @default Number.POSITIVE_INFINITY
     */
    to?: number;
    /**
     * List of exclusion zones
     */
    exclusions?: FromTo[];
}
/**
 * Normalize an array of zones:
 * - ensure than from < to
 * - merge overlapping zones
 * - deal with exclusions zones
 * - if no zones is specified add one between -Infinity and +Infinity
 * @param zones - array of zones
 * @param options - options
 * @returns array of zones
 */
export declare function zonesNormalize(zones?: FromTo[], options?: ZonesNormalizeOptions): FromTo[];
//# sourceMappingURL=zonesNormalize.d.ts.map