import type { FromTo } from 'cheminfo-types';
export interface ZonesWithPointsOptions {
    /**
     * specify min value of zones
     * @default Number.NEGATIVE_INFINITY
     */
    from?: number;
    /**
     * specify max value of zones
     * @default Number.POSITIVE_INFINITY
     */
    to?: number;
}
export interface FromToWithNumberOfPoints extends FromTo {
    numberOfPoints: number;
}
/**
 * Add the number of points per zone to reach a specified total
 * @param zones - array of zones
 * @param numberOfPoints - total number of points to distribute between zones
 * @param options - options
 * @returns array of zones with points
 */
export declare function zonesWithPoints(zones?: FromTo[], 
/**
 * total number of points to distribute between zones
 * @default 10
 */
numberOfPoints?: number, options?: ZonesWithPointsOptions): FromToWithNumberOfPoints[];
//# sourceMappingURL=zonesWithPoints.d.ts.map