"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.matrixAbsoluteMedian = matrixAbsoluteMedian;
const x_1 = require("../x");
/**
 * Returns the median of the absolute matrix.
 * @param matrix
 */
function matrixAbsoluteMedian(matrix) {
    const nbColumns = matrix[0].length;
    const flatten = new Float64Array(matrix.length * nbColumns);
    for (let row = 0; row < matrix.length; row++) {
        const currentRow = row * nbColumns;
        for (let column = 0; column < nbColumns; column++) {
            const value = matrix[row][column];
            flatten[currentRow + column] = Math.abs(value);
        }
    }
    return (0, x_1.xMedian)(flatten);
}
//# sourceMappingURL=matrixAbsoluteMedian.js.map