"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.matrixColumnsCorrelation = matrixColumnsCorrelation;
const ml_matrix_1 = require("ml-matrix");
const x_1 = require("../x");
/**
 * Calculates a correlation matrix based on the columns of the initial matrix.
 * @param A - matrix [rows][cols]
 */
function matrixColumnsCorrelation(A) {
    const B = new ml_matrix_1.Matrix(A).transpose();
    const result = [];
    for (let i = 0; i < B.rows; i++) {
        result.push(new Float64Array(B.rows));
    }
    for (let i = 0; i < B.rows; i++) {
        for (let j = i; j < B.rows; j++) {
            const correlation = (0, x_1.xCorrelation)(B.getRow(i), B.getRow(j));
            result[i][j] = correlation;
            result[j][i] = correlation;
        }
    }
    return result;
}
//# sourceMappingURL=matrixColumnsCorrelation.js.map