"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.matrixNoiseStandardDeviation = matrixNoiseStandardDeviation;
const x_1 = require("../x");
const matrixToArray_1 = require("./matrixToArray");
/**
 * Determine noise level using MAD https://en.wikipedia.org/wiki/Median_absolute_deviation
 * Constant to convert mad to sd calculated using https://www.wolframalpha.com/input?i=sqrt%282%29+inverse+erf%280.5%29
 * This assumes a gaussian distribution of the noise.
 * @param matrix
 * @returns Noise level corresponding to one standard deviation.
 */
function matrixNoiseStandardDeviation(matrix) {
    return (0, x_1.xNoiseStandardDeviation)((0, matrixToArray_1.matrixToArray)(matrix));
}
//# sourceMappingURL=matrixNoiseStandardDeviation.js.map