import type { DataReIm } from '../types';
export interface ReimPhaseCorrectionOptions {
    reverse?: boolean;
}
/**
 * Phase correction filter.
 * @param data - complex spectrum
 * @param phi0 - Angle in radians for zero order phase correction
 * @param phi1 - Angle in radians for first order phase correction
 * @param options
 * @returns - returns a new object {re:[], im:[]}
 */
export declare function reimPhaseCorrection(data: DataReIm, phi0?: number, phi1?: number, options?: ReimPhaseCorrectionOptions): DataReIm<Float64Array>;
//# sourceMappingURL=reimPhaseCorrection.d.ts.map