import type { NumberArray } from 'cheminfo-types';
/**
 * add the provided weights to a particular given system matrix (lD'D) in the triplet form and y data. This function is not general
 * it assumes that diagonal coefficients are in the even indexes, it is the case of the matrix generated by createSystemMatrix function.
 * It simulates the matrix operation W + lD'D and Wy.
 * @param leftHandSide - The original system matrix to be updated, a lower triangular non-zeros of the system matrix (lambda D'D).
 * @param rightHandSide - The original vector to be updated.
 * @param weights - The weights to apply to the system matrix and vector.
 * @returns An object that contains the news left and right hand-side of the system.
 */
export declare function addWeights(leftHandSide: number[][], rightHandSide: NumberArray, weights: NumberArray): {
    leftHandSide: number[][];
    rightHandSide: Float64Array<ArrayBufferLike>;
};
//# sourceMappingURL=addWeights.d.ts.map