import type { NumberArray } from 'cheminfo-types';
export interface XAutoCorrelationOptions {
    /**
     * sweep increment size (in number of points, min=1, max=A.length)
     * @default 1
     */
    tau?: number;
    /**
     * scalar lag parameter
     * @default A.length-1
     */
    lag?: number;
}
/**
 * Calculates the auto-correlation of an array
 * @param A - the array for which to calculate the auto-correlation
 * @param options - Options
 */
export declare function xAutoCorrelation(A: NumberArray, options?: XAutoCorrelationOptions): Float64Array;
//# sourceMappingURL=xAutoCorrelation.d.ts.map