import type { NumberArray } from 'cheminfo-types';
export interface XBoxPlotOptions {
    /**
     * By default, there should be at least 5 elements.
     * @default false
     */
    allowSmallArray?: boolean;
}
export interface XBoxPlot {
    min: number;
    q1: number;
    median: number;
    q3: number;
    max: number;
}
/**
 * Calculating the box plot of the array
 * This function will interpolate the values and use the inclusive algorithm
 * @param array - data
 * @param options
 * @returns - q1, median, q3, min, max
 */
export declare function xBoxPlot(array: NumberArray): XBoxPlot;
//# sourceMappingURL=xBoxPlot.d.ts.map