"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xCumulative = xCumulative;
const is_any_array_1 = require("is-any-array");
/**
 * Calculate an array of the same size that is the cumulative values
 * @param array - initial array
 */
function xCumulative(array) {
    if (!(0, is_any_array_1.isAnyArray)(array)) {
        throw new TypeError('input must be an array');
    }
    const newArray = new Float64Array(array.length);
    if (array.length === 0)
        return newArray;
    newArray[0] = array[0];
    for (let i = 1; i < array.length; i++) {
        newArray[i] = newArray[i - 1] + array[i];
    }
    return newArray;
}
//# sourceMappingURL=xCumulative.js.map