"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xDistributionStats = xDistributionStats;
const xBoxPlotWithOutliers_1 = require("./xBoxPlotWithOutliers");
const xMean_1 = require("./xMean");
const xStandardDeviation_1 = require("./xStandardDeviation");
/**
 * Calculate distribution statistics of an array without providing options
 * This ensure that the statistics are calculated in the same way in all the packages
 * If the array is empty it will throw an error
 * If the array has a length of 1, sd will be NaN (unbiased calculation of sd)
 * @param array - data
 * @param options
 * @returns - q1, median, q3, min, max
 */
function xDistributionStats(array) {
    return {
        ...(0, xBoxPlotWithOutliers_1.xBoxPlotWithOutliers)(array),
        mean: (0, xMean_1.xMean)(array),
        sd: (0, xStandardDeviation_1.xStandardDeviation)(array),
        nb: array.length,
    };
}
//# sourceMappingURL=xDistributionStats.js.map