import type { NumberArray } from 'cheminfo-types';
export interface XHilbertTransformOptions {
    forceFFT?: boolean;
}
/**
 * Performs the Hilbert transform
 * @link https://en.wikipedia.org/wiki/Hilbert_transform
 * @param array - Array containing values
 * @param options
 * @returns A new vector with 90 degree shift regarding the phase of the original function
 */
export declare function xHilbertTransform(array: NumberArray, options?: XHilbertTransformOptions): Float64Array;
//# sourceMappingURL=xHilbertTransform.d.ts.map