"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xMaxIndex = xMaxIndex;
const xCheck_1 = require("./xCheck");
const xGetFromToIndex_1 = require("./xGetFromToIndex");
/**
 * Computes the index of the maximum of the given values
 * @param array - array of numbers
 * @param  options - options
 * @returns - index
 */
function xMaxIndex(array, options = {}) {
    (0, xCheck_1.xCheck)(array);
    const { fromIndex, toIndex } = (0, xGetFromToIndex_1.xGetFromToIndex)(array, options);
    let maxIndex = fromIndex;
    for (let i = fromIndex + 1; i <= toIndex; i++) {
        if (array[i] > array[maxIndex]) {
            maxIndex = i;
        }
    }
    return maxIndex;
}
//# sourceMappingURL=xMaxIndex.js.map