"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xMedianAbsoluteDeviation = xMedianAbsoluteDeviation;
const xMedian_1 = require("./xMedian");
/**
 * This function calculates the median absolute deviation (MAD).
 * https://en.wikipedia.org/wiki/Median_absolute_deviation
 * @param array
 */
function xMedianAbsoluteDeviation(array) {
    const median = (0, xMedian_1.xMedian)(array);
    const averageDeviations = new Float64Array(array.length);
    for (let i = 0; i < array.length; i++) {
        averageDeviations[i] = Math.abs(array[i] - median);
    }
    return {
        median,
        mad: (0, xMedian_1.xMedian)(averageDeviations),
    };
}
//# sourceMappingURL=xMedianAbsoluteDeviation.js.map