import type { NumberArray } from 'cheminfo-types';
export interface XMultiplyOptions<ArrayType extends NumberArray = Float64Array> {
    /** output into which the result should be placed if needed. In can be the same as array1 in order to have in-place modification */
    output?: ArrayType;
}
/**
 * This function xMultiply the first array by the second array or a constant value to each element of the first array
 * @param array1 - first array
 * @param array2 - second array
 * @param options - options
 */
export declare function xMultiply<ArrayType extends NumberArray = Float64Array>(array1: NumberArray, array2: NumberArray | number, options?: XMultiplyOptions<ArrayType>): ArrayType;
//# sourceMappingURL=xMultiply.d.ts.map