"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xMultiply = xMultiply;
const is_any_array_1 = require("is-any-array");
const getOutputArray_1 = require("./getOutputArray");
/**
 * This function xMultiply the first array by the second array or a constant value to each element of the first array
 * @param array1 - first array
 * @param array2 - second array
 * @param options - options
 */
function xMultiply(array1, array2, options = {}) {
    let isConstant = false;
    let constant = 0;
    if ((0, is_any_array_1.isAnyArray)(array2)) {
        if (array1.length !== array2.length) {
            throw new Error('size of array1 and array2 must be identical');
        }
    }
    else {
        isConstant = true;
        constant = Number(array2);
    }
    const array3 = (0, getOutputArray_1.getOutputArray)(options.output, array1.length);
    if (isConstant) {
        for (let i = 0; i < array1.length; i++) {
            array3[i] = array1[i] * constant;
        }
    }
    else {
        for (let i = 0; i < array1.length; i++) {
            array3[i] = array1[i] * array2[i];
        }
    }
    return array3;
}
//# sourceMappingURL=xMultiply.js.map