import type { NumberArray } from 'cheminfo-types';
export interface XNormedOptions<ArrayType extends NumberArray = Float64Array> {
    /**
     * algorithm can be 'sum' 'max' or 'absolute'
     * @default 'absolute'
     */
    algorithm?: 'absolute' | 'max' | 'sum';
    /**
     * max or sum value
     * @default 1
     */
    value?: number;
    /** output into which the result should be placed if needed */
    output?: ArrayType;
}
/**
 * Divides the data with either the sum, the absolute sum or the maximum of the data
 * @param input - Array containing values
 * @param options - options
 * @returns - normalized data
 */
export declare function xNormed<ArrayType extends NumberArray = Float64Array>(input: NumberArray, options?: XNormedOptions<ArrayType>): ArrayType;
//# sourceMappingURL=xNormed.d.ts.map