import type { NumberArray } from 'cheminfo-types';
export interface XRescaleOptions<ArrayType extends NumberArray = Float64Array> {
    /** output into which to placed the data */
    output?: ArrayType;
    /**
     * min used for the scaling
     * @default 0
     */
    min?: number;
    /**
     * max used for the scaling
     * @default 1
     */
    max?: number;
}
/**
 * Function used to rescale data
 * @param input - input for the rescale
 * @param options - options
 * @returns rescaled data
 */
export declare function xRescale<ArrayType extends NumberArray = Float64Array>(input: NumberArray, options?: XRescaleOptions<ArrayType>): ArrayType;
//# sourceMappingURL=xRescale.d.ts.map