import type { NumberArray } from 'cheminfo-types';
export interface XSamplingOptions {
    /**
     * number of points to sample within the array
     * @default 10
     */
    length?: number;
}
/**
 * Sample within the array
 * @param array - array from which to sample
 * @param options - options
 * @returns - array with evenly spaced elements
 * @link https://en.wikipedia.org/wiki/Sampling_(signal_processing)
 */
export declare function xSampling(array: NumberArray, options?: XSamplingOptions): Float64Array;
//# sourceMappingURL=xSampling.d.ts.map