"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xSum = xSum;
const xCheck_1 = require("./xCheck");
const xGetFromToIndex_1 = require("./xGetFromToIndex");
/**
 * Calculate the sum of the values
 * @param array - Object that contains property x (an ordered increasing array) and y (an array).
 * @param options - Options.
 * @returns XSum value on the specified range.
 */
function xSum(array, options = {}) {
    (0, xCheck_1.xCheck)(array);
    const { fromIndex, toIndex } = (0, xGetFromToIndex_1.xGetFromToIndex)(array, options);
    let sumValue = array[fromIndex];
    for (let i = fromIndex + 1; i <= toIndex; i++) {
        sumValue += array[i];
    }
    return sumValue;
}
//# sourceMappingURL=xSum.js.map