import type { NumberArray } from 'cheminfo-types';
export interface XVarianceOptions {
    /**
     * Unbiased option
     * @default true
     */
    unbiased?: boolean;
    /**
     * Precalculated mean of the data. If undefined it will be recalculated internally
     * @default mean calculated
     */
    mean?: number;
}
/**
 * Finds the variance of the data
 * @param values - the values of the array
 * @param options - options
 * @returns variance
 */
export declare function xVariance(values: NumberArray, options?: XVarianceOptions): number;
//# sourceMappingURL=xVariance.d.ts.map