"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xVariance = xVariance;
const is_any_array_1 = require("is-any-array");
const xMean_1 = require("./xMean");
/**
 * Finds the variance of the data
 * @param values - the values of the array
 * @param options - options
 * @returns variance
 */
function xVariance(values, options = {}) {
    if (!(0, is_any_array_1.isAnyArray)(values)) {
        throw new TypeError('input must be an array');
    }
    const { unbiased = true, mean = (0, xMean_1.xMean)(values) } = options;
    let sqrError = 0;
    for (let i = 0; i < values.length; i++) {
        const x = values[i] - mean;
        sqrError += x * x;
    }
    if (unbiased) {
        return sqrError / (values.length - 1);
    }
    else {
        return sqrError / values.length;
    }
}
//# sourceMappingURL=xVariance.js.map