"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xyCovariance = xyCovariance;
const x_1 = require("../x");
/**
 * Finds the covariance of the points.
 * @param data
 * @param options
 * @returns the covariance
 */
function xyCovariance(data, options = {}) {
    const { x, y } = data;
    const { unbiased = true } = options;
    const meanX = (0, x_1.xMean)(x);
    const meanY = (0, x_1.xMean)(y);
    let error = 0;
    for (let i = 0; i < x.length; i++) {
        error += (x[i] - meanX) * (y[i] - meanY);
    }
    if (unbiased) {
        return error / (x.length - 1);
    }
    else {
        return error / x.length;
    }
}
//# sourceMappingURL=xyCovariance.js.map