import type { DataXY, FromTo } from 'cheminfo-types';
export interface XYFilterXOptions {
    /**
     * filter from
     * @default x[0]
     */
    from?: number;
    /**
     * filter to
     * @default x[x.length - 1]
     */
    to?: number;
    /**
     * zones to exclude, contains {from, to} pairs
     * @default []
     */
    exclusions?: FromTo[];
    /**
     * zones to keep
     * @default [{from,to}]
     */
    zones?: FromTo[];
}
/**
 * Filter an array x/y based on various criteria x points are expected to be sorted
 * @param data - object containing 2 properties x and y
 * @param options - options
 * @returns filtered array
 */
export declare function xyFilterX(data: DataXY, options?: XYFilterXOptions): DataXY<number[]>;
//# sourceMappingURL=xyFilterX.d.ts.map