import type { DataXY } from 'cheminfo-types';
export interface XYJoinXOptions {
    /**
     * The range in which the two x values of the spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
/**
 * Join x / y values when difference in X is closer than delta.
 * When joining, y values are summed and x values are weighted average
 * @param data - Object that contains property x (an ordered increasing array) and y (an array)
 * @param options - Options
 * @returns - An object with the xyIntegration function
 */
export declare function xyJoinX(data: DataXY, options?: XYJoinXOptions): DataXY<number[]>;
//# sourceMappingURL=xyJoinX.d.ts.map