"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xyMassCenter = xyMassCenter;
const xGetFromToIndex_1 = require("../x/xGetFromToIndex");
const xyCheck_1 = require("./xyCheck");
/**
 * Computes the weighted mean value of an array of values.
 * @param data - array of DataXY
 * @param options - options
 */
function xyMassCenter(data, options = {}) {
    (0, xyCheck_1.xyCheck)(data, { minLength: 1 });
    const { x, y } = data;
    const { fromIndex, toIndex } = (0, xGetFromToIndex_1.xGetFromToIndex)(x, options);
    let sumYs = 0;
    let sumProducts = 0;
    for (let i = fromIndex; i <= toIndex; i++) {
        sumProducts += x[i] * y[i];
        sumYs += y[i];
    }
    if (sumYs === 0) {
        throw new Error('Sum of Ys can not be zero.');
    }
    return sumProducts / sumYs;
}
//# sourceMappingURL=xyMassCenter.js.map