import type { DataXY } from 'cheminfo-types';
export interface XYMassCenterVectorOptions {
    depth?: number;
}
/**
 * We will calculate a vector containing center of mass of DataXY as well as center of mass of both parts, etc.
 * This approach allows to efficiently represent spectra like XPS, NMR, etc. It should provide an extremely efficient
 * way to store and search similar spectra.
 * @param data - Object that contains property x (an ordered increasing array) and y (an array)
 * @param options
 * @returns - Array of centers of mass
 */
export declare function xyMassCenterVector(data: DataXY, options?: XYMassCenterVectorOptions): Float64Array;
//# sourceMappingURL=xyMassCenterVector.d.ts.map