"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xyMaxY = xyMaxY;
const x_1 = require("../x");
const xyCheck_1 = require("./xyCheck");
/**
 * Finds the max value in a zone
 * @param data - Object that contains property x (an ordered increasing array) and y (an array)
 * @param options - Options
 * @returns - Max y on the specified range
 */
function xyMaxY(data, options = {}) {
    (0, xyCheck_1.xyCheck)(data);
    const { x, y } = data;
    const { fromIndex, toIndex } = (0, x_1.xGetFromToIndex)(x, options);
    let currentxyMaxY = y[fromIndex];
    for (let i = fromIndex; i <= toIndex; i++) {
        if (y[i] > currentxyMaxY)
            currentxyMaxY = y[i];
    }
    return currentxyMaxY;
}
//# sourceMappingURL=xyMaxY.js.map