"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.xyRolling = xyRolling;
const x_1 = require("../x");
/**
 * This function calculates a rolling average.
 * This methods will recalculate the x values by using xRollingAverage
 * @param data - array of points {x,y}
 * @param fct - callback function that from an array returns a value.
 * @param options - options
 */
function xyRolling(data, fct, options = {}) {
    let { x, y } = data;
    y = (0, x_1.xRolling)(y, fct, options);
    if (x.length !== y.length) {
        x = (0, x_1.xRollingAverage)(x, options);
    }
    return { x, y };
}
//# sourceMappingURL=xyRolling.js.map