import type { DataXY } from 'cheminfo-types';
export interface XYUniqueXOptions {
    /**
     * either 'average' or 'sum'
     * @default 'average'
     */
    algorithm?: 'average' | 'sum';
    /**
     * if false the DataXY has to be sorted first
     *  @default true
     */
    isSorted?: boolean;
}
/**
 * Ensure x values are unique
 * @param data - Object that contains property x (Array) and y (Array)
 * @param options - Object containing a property algorithm (can be 'sum' or 'average', the latter being the default value), and a property isSorted (boolean indicating if the x-array is sorted).
 */
export declare function xyUniqueX(data: DataXY, options?: XYUniqueXOptions): DataXY<number[]>;
//# sourceMappingURL=xyUniqueX.d.ts.map