import type { DataXY } from 'cheminfo-types';
export interface GetSlotsOptions {
    /**
     * The range in which the two x values of the data/spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
export interface Slot {
    from: number;
    to: number;
    average: number;
    sum: number;
    number: number;
}
/**
 * GetSlots.
 * @param data - data.
 * @param options - Options.
 */
export declare function getSlots(data: DataXY[], options?: GetSlotsOptions): Slot[];
//# sourceMappingURL=getSlots.d.ts.map