import type { DataXY } from 'cheminfo-types';
export interface GetSlotsToFirstOptions {
    /**
     * The range in which the two x values of the data/spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
export interface Slot {
    from: number;
    to: number;
    value: number;
}
/**
 * GetSlotsToFirst.
 * @param data - data.
 * @param options - Options.
 */
export declare function getSlotsToFirst(data: DataXY[], options?: GetSlotsToFirstOptions): Slot[];
//# sourceMappingURL=getSlotsToFirst.d.ts.map