import type { NumberArray, DataXY } from 'cheminfo-types';
export interface XYArrayAlignToFirstOptions {
    /**
     * The range in which the two x values of the data/spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
/**
 * We align all the data/spectra to the first array of X.
 * The alignment is based on the X values of the first spectrum and the `delta` error allowed.
 * If some x values are missing in the first spectrum we will add them
 * @param data - data
 * @param options - options
 */
export declare function xyArrayAlignToFirst(data: DataXY[], options?: XYArrayAlignToFirstOptions): {
    x: NumberArray;
    ys: NumberArray[];
};
//# sourceMappingURL=xyArrayAlignToFirst.d.ts.map