import type { DataXY } from 'cheminfo-types';
export interface XYArrayMergeOptions {
    /**
     * The range in which the two x values of the data/spectra must be to be placed on the same line. It may also be a function that allows to change `delta` depending on the X values of the spectrum
     * @default 1
     */
    delta?: ((arg: number) => number) | number;
}
/**
 * Merge DataXY
 * We have an array of DataXY and the goal is to merge all the values that are the closest possible
 * @param data - data
 * @param options - Options
 */
export declare function xyArrayMerge(data: DataXY[], options?: XYArrayMergeOptions): DataXY;
//# sourceMappingURL=xyArrayMerge.d.ts.map